org.apache.jmeter.report.processor

## Interface SampleSource

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  AbstractSampleSource, CsvFileSampleSource

    public interface SampleSource
    extends Runnable

The interface SampleSource represents a source of samples for sample consumers.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addSampleConsumer(SampleConsumer consumer)` Add a sample consumer to this sample source.
`SampleContext` `getSampleContext()` Gets the sample context.
`void` `removeSampleConsumer(SampleConsumer consumer)` Remove a sample consumer from this sample source.
`void` `setSampleConsumers(List<SampleConsumer> consumers)` Sets the specified sample consumers that will consume samples produced by this sample source.
`void` `setSampleContext(SampleContext sampleContext)` Sets the sample context.

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### getSampleContext

    SampleContext getSampleContext()

Gets the sample context.

Returns:
  the sampleContext

#### setSampleContext

    void setSampleContext(SampleContext sampleContext)

Sets the sample context.

Parameters:
  `sampleContext` - the sampleContext to set

#### setSampleConsumers

    void setSampleConsumers(List<SampleConsumer> consumers)

Sets the specified sample consumers that will consume samples produced by this sample source.

Parameters:
  `consumers` - consumers to be set

#### addSampleConsumer

    void addSampleConsumer(SampleConsumer consumer)

Add a sample consumer to this sample source.

Parameters:
  `consumer` - consumer to be added

#### removeSampleConsumer

    void removeSampleConsumer(SampleConsumer consumer)

Remove a sample consumer from this sample source.

Parameters:
  `consumer` - consumer to be removed